Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator.validators
Class ConversionErrorFieldValidator

    java.lang.Object
      com.opensymphony.xwork2.validator.validators.ValidatorSupport
          com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
              com.opensymphony.xwork2.validator.validators.RepopulateConversionErrorFieldValidatorSupport
                  com.opensymphony.xwork2.validator.validators.ConversionErrorFieldValidator

All Implemented Interfaces:
  FieldValidator, ShortCircuitableValidator, Validator

    public class ConversionErrorFieldValidator

extends RepopulateConversionErrorFieldValidatorSupport

Field Validator that checks if a conversion error occured for this field.

- fieldName - The field name this validator is validating. Required if using Plain-Validator Syntax otherwise not required

         <!-- Plain Validator Syntax -->
         <validator type="conversion">
                    <param name="fieldName">myField</param>
              <message>Conversion Error Occurred</message>
         </validator>

         <!-- Field Validator Syntax -->
         <field name="myField">
            <field-validator type="conversion">
               <message>Conversion Error Occurred</message>
            </field-validator>
         </field>

Version:
  $Date $Id: ConversionErrorFieldValidator.java 894090 2009-12-27 18:18:29Z martinc $
Author:
  Jason Carreira, tm_jee

Field Summary

Fields inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`defaultMessage, log, messageKey`

Constructor Summary
`ConversionErrorFieldValidator()`

Method Summary
`void` | `doValidate(java.lang.Object object)` The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

Methods inherited from class com.opensymphony.xwork2.validator.validators.RepopulateConversionErrorFieldValidatorSupport
`getRepopulateField, repopulateField, setRepopulateField, validate`

Methods inherited from class com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
`getFieldName, getValidatorType, setFieldName, setValidatorType`

Methods inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`addActionError, addFieldError, conditionalParse, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getMessageParameters, getParse, getValidatorContext, isShortCircuit, setDefaultMessage, setMessageKey, setMessageParameters, setParse, setShortCircuit, setValidatorContext, setValueStack`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.opensymphony.xwork2.validator.Validator
`getDefaultMessage, getMessage, getMessageKey, getMessageParameters, getValidatorContext, setDefaultMessage, setMessageKey, setMessageParameters, setValidatorContext, setValueStack`

Constructor Detail

### ConversionErrorFieldValidator

    public ConversionErrorFieldValidator()

Method Detail

### doValidate

    public void doValidate(java.lang.Object object)
                    throws ValidationException

  The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

  Specified by:
    `doValidate` in class `RepopulateConversionErrorFieldValidatorSupport`
  Parameters:
    `object` -
  Throws:
    `ValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.